package com.inkasso.factoring.salesManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

import java.io.Serializable;

/**
 * <p>
 * 销售合同变更-人员信息表
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
@TableName("c_sales_contract_supplement_person_info")
public class CSalesContractSupplementPersonInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同变更Id
     */
    @TableField("c_sales_contract_supplement_info_id")
    private Long cSalesContractSupplementInfoId;

    /**
     * 用户名
     */
    @TableField("name")
    private String name;

    /**
     * 人员类型
     */
    @TableField("type")
    private String type;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    public Long getcSalesContractSupplementInfoId() {
        return cSalesContractSupplementInfoId;
    }

    public void setcSalesContractSupplementInfoId(Long cSalesContractSupplementInfoId) {
        this.cSalesContractSupplementInfoId = cSalesContractSupplementInfoId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }


    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "CSalesContractSupplementPersonInfo{" +
                ", cSalesContractSupplementInfoId=" + cSalesContractSupplementInfoId +
                ", name=" + name +
                ", type=" + type +
                ", mobile=" + mobile +
                ", remark=" + remark +
                "}";
    }
}
